
FROM debian:buster

RUN apt update && apt install -y \
	php7.3 \
	php7.3-fpm \
	php7.3-mysqli \
	mariadb-client \
	curl
RUN rm -rf /var/lib/apt/lists/*

# config change address to accept FastCGI requests, to worpress:9000
COPY ./conf/www.conf /etc/php/7.3/fpm/pool.d/
RUN mkdir /run/php/
## run service once to initialize
#RUN service php7.3-fpm start && \
#	service php7.3-fpm stop

# install wp-cli : https://make.wordpress.org/cli/handbook/guides/installing/
RUN curl -O https://raw.githubusercontent.com/wp-cli/builds/gh-pages/phar/wp-cli.phar &&\
	chmod +x wp-cli.phar && \
	mv wp-cli.phar /usr/local/bin/wp

COPY ./conf/wp_entrypoint.sh ./

ENTRYPOINT [ "sh", "wp_entrypoint.sh" ]

